# H245_RequestModeAck Class Reference

`#include <h245.h>`

Inheritance diagram for H245_RequestModeAck:

List of all members.

## Public Member Functions

| H245_RequestModeAck (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_SequenceNumber | m_sequenceNumber
H245_RequestModeAck_response | m_response

## Constructor & Destructor Documentation

H245_RequestModeAck::H245_RequestModeAck | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_RequestModeAck::GetDataLength | ( |  | ) | const

PBoolean H245_RequestModeAck::Decode | ( | PASN_Stream & | strm | ) |

void H245_RequestModeAck::Encode | ( | PASN_Stream & | strm | ) | const

void H245_RequestModeAck::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_RequestModeAck::Compare | ( | const PObject & | obj | ) | const

PObject* H245_RequestModeAck::Clone | ( |  | ) | const

## Member Data Documentation

H245_SequenceNumber H245_RequestModeAck::m_sequenceNumber

H245_RequestModeAck_response H245_RequestModeAck::m_response

The documentation for this class was generated from the following file:

- h245.h